## python-taskflow 3.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# See: https://bugs.launchpad.net/pbr/+bug/1384919 for why this is here...
pbr!=2.1.0,>=2.0.0 # Apache-2.0

# Packages needed for using this library.

# Python 2->3 compatibility library.
six>=1.10.0 # MIT

# Enum library made for <= python 3.3
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD

# For async and/or periodic work
futurist>=1.2.0 # Apache-2.0

# For reader/writer + interprocess locks.
fasteners>=0.7.0 # Apache-2.0

# Very nice graph library
networkx>=1.10 # BSD

# For contextlib new additions/compatibility for <= python 3.3
contextlib2>=0.4.0;python_version<'3.0' # PSF License

# Used for backend storage engine loading.
stevedore>=1.20.0 # Apache-2.0

# Backport for concurrent.futures which exists in 3.2+
futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD

# Used for structured input validation
jsonschema<3.0.0,>=2.6.0 # MIT

# For the state machine we run with
automaton>=1.9.0 # Apache-2.0

# For common utilities
oslo.utils>=3.33.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
tenacity>=4.4.0 # Apache-2.0

# For lru caches and such
cachetools>=2.0.0 # MIT License

# For deprecation of things
debtcollector>=1.2.0 # Apache-2.0

# For pydot output tests
pydot>=1.2.4 # MIT License

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

doc8>=0.6.0 # Apache-2.0

# This copies requirements from [extra] section of setup.cfg.
# These need to be installed for some code analysis done
# via "inheritance-diagram" directive.

kombu!=4.0.2,>=4.0.0 # BSD
kazoo>=2.2 # Apache-2.0
zake>=0.1.6 # Apache-2.0
redis>=2.10.0 # MIT

eventlet!=0.18.3,!=0.20.1,!=0.21.0,>=0.18.2 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
SQLAlchemy-Utils>=0.30.11 # BSD License
PyMySQL>=0.7.6 # MIT License
psycopg2>=2.6.2 # LGPL/ZPL

=== debian/changelog ===
python-taskflow (3.4.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 22 Mar 2019 15:26:50 +0000

python-taskflow (3.4.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 14:11:03 +0000

python-taskflow (3.3.1-0ubuntu2) disco; urgency=medium

  * d/p/move-test-requirements-out-of-runtime-requirements.patch:
    Move stestr and pydot from runtime requirements to test requirements,
    avoiding pulling these two packages into Ubuntu main.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 14:24:02 +0000

python-taskflow (3.3.1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Switch to stestr for unit tests.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Nov 2018 10:39:18 +0000

python-taskflow (3.2.0-0ubuntu2) cosmic; urgency=medium

  * d/control,python-taskflow-doc.links: Use generated assets for
    documentation rather than using libjs-* packages.

 -- James Page <james.page@ubuntu.com>  Tue, 14 Aug 2018 14:16:01 +0100

python-taskflow (3.2.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/control: Move python-pydotplus to Suggests as it is only required
      for tools/state_graph.py, and it is not in Ubuntu main.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/tests/*: Replace python-taskflow with python-ostestr as it has
      better coverage.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-networkx-2-support.patch: Dropped. Fixed in new upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Aug 2018 09:32:59 -0400

python-taskflow (3.1.0-0ubuntu6) cosmic; urgency=medium

  * Tweak 5f4c3d67335d3d28f8c27a5bbf95656615ad9143.patch to make it build.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Jul 2018 10:01:13 +0200

python-taskflow (3.1.0-0ubuntu5) cosmic; urgency=medium

  * debian/patches/5f4c3d67335d3d28f8c27a5bbf95656615ad9143.patch:
    - upstream-proposed patch to make it compatible with networkx2
    - add pydot to dependencies

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Jun 2018 16:09:16 +0200

python-taskflow (3.1.0-0ubuntu4) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.
  * d/p/oslo.serialization-compat.patch: Cherry pick fix for compat
    with oslo.serialization 2.26.0.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 23:35:12 +0100

python-taskflow (3.1.0-0ubuntu3) cosmic; urgency=medium

  * d/tests/control: Use @builddeps@ when executing unit tests.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Jun 2018 15:57:36 +0100

python-taskflow (3.1.0-0ubuntu2) bionic; urgency=medium

  * d/rules: Set PYTHONPATH to CURDIR for override_dh_auto_test and
    override_dh_sphinxdoc. This fixes "ImportError: No module named taskflow"
    for test_resume_many_flows.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Apr 2018 12:35:25 -0400

python-taskflow (3.1.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 09:19:52 -0500

python-taskflow (2.17.0-0ubuntu2) bionic; urgency=medium

  * d/p/*: Drop, revert being held in oslo.serialization until
    OpenStack projects are compatible with oslo.serialization >= 2.21.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 09:09:43 +0000

python-taskflow (2.17.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream milestone.
  * d/p/*: Drop, no longer needed.
  * d/control: Fixup alembic runtime depends.
  * d/control: wrap-and-sort -at
  * d/p/oslo.serialization-2.21.2-compat.patch: Fix compatibility
    with oslo.serialization >= 2.21.2 (LP: #1736394).
  * d/control: Add python-openstackdocstheme to BD's.

 -- James Page <james.page@ubuntu.com>  Tue, 05 Dec 2017 13:10:32 +0000

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python-alembic (>= 0.8.10),
 python-automaton (>= 1.9.0),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures (>= 3.0.0),
 python-contextlib2 (>= 0.4.0),
 python-coverage,
 python-debtcollector (>= 1.2.0),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fasteners (>= 0.7.0),
 python-futurist (>= 1.2.0),
 python-hacking (>= 0.10.0),
 python-jsonschema (>= 2.6.0),
 python-kazoo (>= 2.2),
 python-kombu (>= 4.0.0),
 python-mock (>= 2.0.0),
 python-monotonic (>= 0.6),
 python-netifaces,
 python-networkx (>= 1.10),
 python-openstackdocstheme (>= 1.18.1),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:3.2.0),
 python-psycopg2 (>= 2.6.2),
 python-pydot,
 python-pydotplus (>= 2.0.2),
 python-pymysql (>= 0.7.6),
 python-redis (>= 2.10.0),
 python-reno (>= 2.5.0),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-sqlalchemy-utils (>= 0.30.11),
 python-stestr,
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 4.4.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-zake (>= 0.1.6),
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-contextlib2 (>= 0.4.0),
 python3-coverage,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fasteners (>= 0.7.0),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-kazoo (>= 2.2),
 python3-kombu (>= 4.0.0),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-netifaces,
 python3-networkx (>= 1.10),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pydot,
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-reno (>= 2.5.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils (>= 0.30.11),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 4.4.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.1.5
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-taskflow
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-taskflow
Homepage: https://github.com/openstack/taskflow
Testsuite: autopkgtest-pkg-python

Package: python-taskflow
Architecture: all
Depends:
 python-alembic (>= 0.8.4),
 python-automaton (>= 1.9.0),
 python-cachetools (>= 2.0.0),
 python-concurrent.futures (>= 3.0.0),
 python-contextlib2 (>= 0.4.0),
 python-debtcollector (>= 1.2.0),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.17.4),
 python-fasteners (>= 0.7.0),
 python-futurist (>= 1.2.0),
 python-jsonschema (>= 2.6.0),
 python-kazoo,
 python-kombu (>= 3.0.25),
 python-monotonic (>= 0.6),
 python-networkx (>= 1.10),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr (>= 2.0.0),
 python-psycopg2,
 python-pymysql (>= 0.6.2),
 python-retrying (>= 1.2.3),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 4.4.0),
 ${misc:Depends},
 ${python:Depends},
Recommends:
 ${python:Recommends},
Suggests:
 python-pydot,
 python-pydotplus,
Description: Taskflow structured state management library - Python 2.7
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 2.7 module.

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 python3-alembic (>= 0.8.4),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-contextlib2 (>= 0.4.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.17.4),
 python3-fasteners (>= 0.7.0),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-kazoo,
 python3-kombu (>= 3.0.25),
 python3-monotonic (>= 0.6),
 python3-networkx (>= 1.10),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2,
 python3-pymysql (>= 0.6.2),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Suggests:
 python3-pydot,
 python3-pydotplus,
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/taskflow.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	find . -iname '*.pyc' -delete
	rm -rf .eggs

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*))'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-taskflow 3.7.1

=== requirements.txt ===
--- 
+++ 
@@ -20,7 +20,8 @@
 fasteners>=0.7.0 # Apache-2.0
 
 # Very nice graph library
-networkx>=1.10 # BSD
+networkx>=1.10,<2.3;python_version<'3.0'  # BSD
+networkx>=1.10;python_version>='3.4'  # BSD
 
 # For contextlib new additions/compatibility for <= python 3.3
 contextlib2>=0.4.0;python_version<'3.0' # PSF License
@@ -32,7 +33,7 @@
 futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
 
 # Used for structured input validation
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 
 # For the state machine we run with
 automaton>=1.9.0 # Apache-2.0
@@ -45,8 +46,5 @@
 # For lru caches and such
 cachetools>=2.0.0 # MIT License
 
-# For deprecation of things
-debtcollector>=1.2.0 # Apache-2.0
-
 # For pydot output tests
 pydot>=1.2.4 # MIT License

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (3.7.1-0ubuntu2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Oct 2019 09:31:25 +0000

python-taskflow (3.7.1-0ubuntu2) eoan; urgency=medium

  * d/p/python-ostestr: Drop py2 tests as package no longer ships a py2
    module.

 -- James Page <james.page@ubuntu.com>  Wed, 02 Oct 2019 08:16:42 +0100

python-taskflow (3.7.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 10:36:29 +0100

python-taskflow (3.7.0-0ubuntu3) eoan; urgency=medium

  * d/control: Drop python3-contextlib2 as it is only needed for < python3.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Aug 2019 15:36:07 -0400

python-taskflow (3.7.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/rules, d/pydist-overrides: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 17:11:29 -0400

python-taskflow (3.7.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Jun 2019 15:11:16 +0100

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 git,
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-coverage,
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.18.2),
 python3-fasteners (>= 0.7.0),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-kazoo (>= 2.2),
 python3-kombu (>= 4.0.0),
 python3-mock (>= 2.0.0),
 python3-monotonic (>= 0.6),
 python3-netifaces,
 python3-networkx (>= 1.10),
 python3-openstackdocstheme (>= 1.18.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pydot,
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-reno (>= 2.5.0),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils (>= 0.30.11),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 4.4.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.1.5
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-taskflow
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-taskflow
Homepage: https://github.com/openstack/taskflow
Testsuite: autopkgtest-pkg-python

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 python3-alembic (>= 0.8.4),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-eventlet (>= 0.17.4),
 python3-fasteners (>= 0.7.0),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 2.6.0),
 python3-kazoo,
 python3-kombu (>= 3.0.25),
 python3-monotonic (>= 0.6),
 python3-networkx (>= 1.10),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2,
 python3-pymysql (>= 0.6.2),
 python3-retrying (>= 1.2.3),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python3-pydot,
 python3-pydotplus,
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,25 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+
+override_dh_auto_build:
+	python3 setup.py build --force
 
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
 	find . -iname '*.pyc' -delete
 	rm -rf .eggs
 
+override_dh_auto_clean:
+	python3 setup.py clean -a
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*))'
+	pkgos-dh_auto_test --no-py2 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*))'
 endif
 
 override_dh_sphinxdoc:

## python-taskflow 4.0.0

=== debian/changelog ===
python-taskflow (4.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:36:28 -0400

python-taskflow (3.8.0-0ubuntu2) focal; urgency=medium

  * d/control: Drop Depends on python3-pydot as it's in Suggests and switch
    Recommends to python3.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Jan 2020 15:59:26 -0500

python-taskflow (3.8.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/tests/*: Add import and unit test autopkgtests.
    - d/control: Move python3-pydot(plus) to Suggests as they're only
      required for tools/state_graph.py, and aren't in Ubuntu main.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/p/0003-Pass-digest-to-hmac.new.patch: Fix working with Python 3.8
      by passing digest to hmac.new() (LP: #1852317)
    - d/p/move-test-requirements-out-of-runtime-requirements.patch:
      Move stestr and pydot from runtime requirements to test requirements,
      avoiding pulling these two packages into Ubuntu main.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control: Drop python3-contextlib2 as it is only needed for < python3.0.
    - d/control,python-taskflow-doc.links: Use generated assets for
      documentation rather than using libjs-* packages.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/0003-Pass-digest-to-hmac.new.patch,
    d/p/fix-networkx-2.x-compatibility.patch,
    d/p/fix-py38-hmac-compatibility.patch: Dropped. Fixed in upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Dec 2019 17:10:29 -0500

python-taskflow (3.7.1-4) unstable; urgency=medium

  * Add fix-py38-hmac-compatibility.patch
  * Add fix-networkx-2.x-compatibility.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 05 Dec 2019 12:36:08 +0100

python-taskflow (3.7.1-3) unstable; urgency=medium

  * Removed Python 2 autopkg tests (Closes: #943182).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 11:57:13 +0200

python-taskflow (3.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:29:32 +0200

python-taskflow (3.7.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Sep 2019 22:26:28 +0200

python-taskflow (3.7.1-0ubuntu3) focal; urgency=medium

  * Fix working with Python 3.8 by passing digest to hmac.new()
    (LP: #1852317)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 12 Nov 2019 16:52:52 +0100

python-taskflow (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 14:48:31 +0200

python-taskflow (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.
  * Run unit tests using installed Python module.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 13:41:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-taskflow
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -15,12 +14,11 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- git,
+ alembic,
  python3-alembic (>= 0.8.10),
  python3-automaton (>= 1.9.0),
  python3-cachetools (>= 2.0.0),
  python3-coverage,
- python3-debtcollector (>= 1.2.0),
  python3-eventlet (>= 0.18.2),
  python3-fasteners (>= 0.7.0),
  python3-futurist (>= 1.2.0),
@@ -28,24 +26,20 @@
  python3-kazoo (>= 2.2),
  python3-kombu (>= 4.0.0),
  python3-mock (>= 2.0.0),
- python3-monotonic (>= 0.6),
  python3-netifaces,
- python3-networkx (>= 1.10),
+ python3-networkx (>= 2.1.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
- python3-psycopg2 (>= 2.6.2),
- python3-pydot,
- python3-pydotplus (>= 2.0.2),
+ python3-psycopg2 (>= 2.7.0),
+ python3-pydot (>= 1.2.4),
  python3-pymysql (>= 0.7.6),
  python3-redis (>= 2.10.0),
- python3-reno (>= 2.5.0),
- python3-retrying (>= 1.2.3),
  python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-sqlalchemy-utils (>= 0.30.11),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit,
  python3-tenacity (>= 4.4.0),
@@ -75,26 +69,24 @@
 Package: python3-taskflow
 Architecture: all
 Depends:
- python3-alembic (>= 0.8.4),
+ alembic,
+ python3-alembic,
  python3-automaton (>= 1.9.0),
  python3-cachetools (>= 2.0.0),
- python3-debtcollector (>= 1.2.0),
- python3-eventlet (>= 0.17.4),
+ python3-eventlet,
  python3-fasteners (>= 0.7.0),
  python3-futurist (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
  python3-kazoo,
- python3-kombu (>= 3.0.25),
- python3-monotonic (>= 0.6),
- python3-networkx (>= 1.10),
+ python3-kombu,
+ python3-networkx (>= 2.1.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
  python3-psycopg2,
- python3-pymysql (>= 0.6.2),
- python3-retrying (>= 1.2.3),
+ python3-pymysql,
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy,
  python3-stevedore (>= 1:1.20.0),
  python3-tenacity (>= 4.4.0),
  ${misc:Depends},

## python-taskflow 4.1.0

=== requirements.txt ===
--- 
+++ 
@@ -10,9 +10,6 @@
 # Python 2->3 compatibility library.
 six>=1.10.0 # MIT
 
-# Enum library made for <= python 3.3
-enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
-
 # For async and/or periodic work
 futurist>=1.2.0 # Apache-2.0
 
@@ -20,17 +17,10 @@
 fasteners>=0.7.0 # Apache-2.0
 
 # Very nice graph library
-networkx>=1.10,<2.3;python_version<'3.0'  # BSD
-networkx>=1.10;python_version>='3.4'  # BSD
-
-# For contextlib new additions/compatibility for <= python 3.3
-contextlib2>=0.4.0;python_version<'3.0' # PSF License
+networkx>=2.1.0 # BSD
 
 # Used for backend storage engine loading.
 stevedore>=1.20.0 # Apache-2.0
-
-# Backport for concurrent.futures which exists in 3.2+
-futures>=3.0.0;python_version=='2.7' or python_version=='2.6' # BSD
 
 # Used for structured input validation
 jsonschema>=2.6.0 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2  # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (4.1.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 10:06:26 -0400

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  python3-fasteners (>= 0.7.0),
  python3-futurist (>= 1.2.0),
  python3-jsonschema (>= 2.6.0),
- python3-kazoo (>= 2.2),
+ python3-kazoo (>= 2.6.0),
  python3-kombu (>= 4.0.0),
  python3-mock (>= 2.0.0),
  python3-netifaces,
@@ -34,6 +34,7 @@
  python3-oslotest (>= 1:3.2.0),
  python3-psycopg2 (>= 2.7.0),
  python3-pydot (>= 1.2.4),
+ python3-pydotplus (>= 2.0.2),
  python3-pymysql (>= 0.7.6),
  python3-redis (>= 2.10.0),
  python3-six (>= 1.10.0),

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/taskflow.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf .eggs

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'taskflow\.tests\.(?!(.*test_examples\.ExamplesTestCase.*|.*worker_based\.test_protocol\.TestProtocol\.test_to_dict_with_invalid_json_failures.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-taskflow-doc/usr/share/doc/python-taskflow-doc/html
	dh_sphinxdoc
endif

=== debian/tests/control ===
Tests: python-ostestr
Depends: @, @builddeps@, python3-os-testr
Restrictions: allow-stderr, needs-recommends

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/taskflow/ taskflow-(\d.*)\.tar\.gz

## python-taskflow 4.5.0

=== debian/changelog ===
python-taskflow (4.5.0-3) unstable; urgency=medium

  * Added Restrictions: superficial to d/tests/control (Closes: #974511).

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Nov 2020 00:05:12 +0100

python-taskflow (4.5.0-2) unstable; urgency=medium

  * Fixed debian/watch.
  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 14:21:42 +0200

python-taskflow (4.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 14:46:42 +0200

python-taskflow (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Set minimum version for python3-jsonschema.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2020 08:35:53 +0200

python-taskflow (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:58:58 +0200

python-taskflow (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed patches applied upstream:
    - fix-py38-hmac-compatibility.patch
    - fix-networkx-2.x-compatibility.patch    

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 22:59:02 +0200

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-coverage,
 python3-eventlet,
 python3-fasteners,
 python3-futurist,
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-kazoo (>= 2.6.0),
 python3-kombu (>= 4.3.0),
 python3-mock,
 python3-netifaces,
 python3-networkx,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-psycopg2 (>= 2.8.0),
 python3-pydot,
 python3-pymysql,
 python3-redis,
 python3-six,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-subunit,
 python3-tenacity (>= 6.0.0),
 python3-testscenarios,
 python3-testtools,
 python3-zake,
 subunit,
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-taskflow
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-taskflow.git
Homepage: https://github.com/openstack/taskflow

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-automaton,
 python3-cachetools,
 python3-eventlet,
 python3-fasteners,
 python3-futurist,
 python3-jsonschema (>= 3.2.0),
 python3-kazoo (>= 2.6.0),
 python3-kombu (>= 4.3.0),
 python3-networkx,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-psycopg2 (>= 2.8.0),
 python3-pydot,
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python:Recommends},
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

=== debian/tests/control ===
Restrictions: superficial
Depends:
 python3-taskflow,
Test-Command: cd "$AUTOPKGTEST_TMP" ; python3 -c "import taskflow ; print(taskflow)"

## python-taskflow 4.6.0

=== debian/changelog ===
python-taskflow (4.6.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add install-missing-files.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-wallaby.debian.net>  Wed, 03 Dec 2025 09:49:32 +0000

python-taskflow (4.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:48:27 +0200

python-taskflow (4.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 13:08:26 +0100

=== debian/control ===
--- 
+++ 
@@ -23,9 +23,9 @@
  python3-fasteners,
  python3-futurist,
  python3-hacking,
- python3-jsonschema (>= 3.2.0),
- python3-kazoo (>= 2.6.0),
- python3-kombu (>= 4.3.0),
+ python3-jsonschema,
+ python3-kazoo,
+ python3-kombu,
  python3-mock,
  python3-netifaces,
  python3-networkx,
@@ -33,7 +33,7 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-oslotest,
- python3-psycopg2 (>= 2.8.0),
+ python3-psycopg2,
  python3-pydot,
  python3-pymysql,
  python3-redis,
@@ -43,12 +43,12 @@
  python3-stestr,
  python3-stevedore,
  python3-subunit,
- python3-tenacity (>= 6.0.0),
+ python3-tenacity,
  python3-testscenarios,
  python3-testtools,
  python3-zake,
  subunit,
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-taskflow
 Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-taskflow.git
 Homepage: https://github.com/openstack/taskflow
@@ -78,20 +78,20 @@
  python3-eventlet,
  python3-fasteners,
  python3-futurist,
- python3-jsonschema (>= 3.2.0),
- python3-kazoo (>= 2.6.0),
- python3-kombu (>= 4.3.0),
+ python3-jsonschema,
+ python3-kazoo,
+ python3-kombu,
  python3-networkx,
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-pbr,
- python3-psycopg2 (>= 2.8.0),
+ python3-psycopg2,
  python3-pydot,
  python3-pymysql,
  python3-six,
  python3-sqlalchemy,
  python3-stevedore,
- python3-tenacity (>= 6.0.0),
+ python3-tenacity,
  ${misc:Depends},
  ${python3:Depends},
 Recommends:

## python-taskflow 4.6.2

=== debian/changelog ===
python-taskflow (4.6.2-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add install-missing-files.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Wed, 03 Dec 2025 09:47:57 +0000

python-taskflow (4.6.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 11:45:46 +0200

python-taskflow (4.6.2-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Sep 2021 11:02:23 +0200

python-taskflow (4.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.
  * Requires SQLA 1.4.
  * Set minimum sqlalchemy-utils to >= 0.37.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Aug 2021 11:21:21 +0200

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,6 @@
  python3-jsonschema,
  python3-kazoo,
  python3-kombu,
- python3-mock,
  python3-netifaces,
  python3-networkx,
  python3-openstackdocstheme,
@@ -38,8 +37,8 @@
  python3-pymysql,
  python3-redis,
  python3-six,
- python3-sqlalchemy,
- python3-sqlalchemy-utils,
+ python3-sqlalchemy (>= 1.4),
+ python3-sqlalchemy-utils (>= 0.37),
  python3-stestr,
  python3-stevedore,
  python3-subunit,
@@ -89,7 +88,7 @@
  python3-pydot,
  python3-pymysql,
  python3-six,
- python3-sqlalchemy,
+ python3-sqlalchemy (>= 1.4),
  python3-stevedore,
  python3-tenacity,
  ${misc:Depends},

## python-taskflow 4.6.4

=== requirements.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 stevedore>=1.20.0 # Apache-2.0
 
 # Used for structured input validation
-jsonschema>=2.6.0 # MIT
+jsonschema>=3.2.0 # MIT
 
 # For the state machine we run with
 automaton>=1.9.0 # Apache-2.0
@@ -31,7 +31,7 @@
 # For common utilities
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-tenacity>=4.4.0 # Apache-2.0
+tenacity>=6.0.0 # Apache-2.0
 
 # For lru caches and such
 cachetools>=2.0.0 # MIT License

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
doc8>=0.6.0 # Apache-2.0

=== debian/changelog ===
python-taskflow (4.6.4-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 15:51:50 -0500

python-taskflow (4.6.3-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Dec 2021 10:12:01 -0500

python-taskflow (4.6.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:45:47 -0400

python-taskflow (4.5.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:38:56 -0400

python-taskflow (4.4.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 03 Sep 2020 08:53:56 +0000

python-taskflow (4.3.1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/control: Restore previous min version of python3-sqlalchemy-utils BD.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:01:41 -0400

python-taskflow (4.2.0-0ubuntu2) groovy; urgency=medium

  * d/control: Add depends on python3-sqlalchemy-utils.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 21 Jul 2020 14:59:33 +0000

python-taskflow (4.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 13 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 13:23:18 -0400

python-taskflow (4.1.0-0ubuntu2) groovy; urgency=medium

  * Move python3-kazoo to Suggests (LP: #1880705)

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 27 May 2020 14:02:53 +0100

=== debian/control ===
Source: python-taskflow
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 alembic,
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-coverage,
 python3-eventlet (>= 0.18.2),
 python3-fasteners (>= 0.7.0),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-kazoo (>= 2.6.0),
 python3-kombu (>= 4.3.0),
 python3-netifaces,
 python3-networkx (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.8.0),
 python3-pydot (>= 1.2.4),
 python3-pydotplus (>= 2.0.2),
 python3-pymysql (>= 0.7.6),
 python3-redis (>= 2.10.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit,
 python3-tenacity (>= 6.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-zake (>= 0.1.6),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-taskflow
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-taskflow
Homepage: https://github.com/openstack/taskflow
Testsuite: autopkgtest-pkg-python

Package: python-taskflow-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Taskflow structured state management library - doc
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the documentation.

Package: python3-taskflow
Architecture: all
Depends:
 alembic,
 python3-alembic,
 python3-automaton (>= 1.9.0),
 python3-cachetools (>= 2.0.0),
 python3-eventlet,
 python3-fasteners (>= 0.7.0),
 python3-futurist (>= 1.2.0),
 python3-jsonschema (>= 3.2.0),
 python3-kombu,
 python3-networkx (>= 2.1.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-psycopg2,
 python3-pymysql,
 python3-six (>= 1.10.0),
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.36.1-0ubuntu2~),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 6.0.0),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 python3-kazoo,
 python3-pydot,
 python3-pydotplus,
Description: Taskflow structured state management library - Python 3.x
 TaskFlow, is a library to do [jobs, tasks, flows] in a HA manner
 using different backends to be used with OpenStack projects.
 More information at http://wiki.openstack.org/wiki/TaskFlow
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
+
+export PYBUILD_NAME=taskflow
 
 UPSTREAM_GIT := https://github.com/openstack/taskflow.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	find . -iname '*.pyc' -delete

## python-taskflow 5.0.0

=== debian/changelog ===
python-taskflow (5.0.0-3) unstable; urgency=medium

  * Add py3.11_Fix-test_while_is_not.patch (Closes: #1025126).

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2022 11:22:43 +0100

python-taskflow (5.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 12:16:16 +0200

python-taskflow (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 12:16:30 +0200

python-taskflow (4.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Set min version of python3-fasteners to 0.17.3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Aug 2022 12:09:36 +0200

python-taskflow (4.6.4-3) unstable; urgency=medium

  * Refreshed patches.
  * Add Adapt-to-new-jsonschema-versions.patch (Closes: #1016228).
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Sun, 31 Jul 2022 12:57:31 +0200

python-taskflow (4.6.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 24 Mar 2022 10:59:02 +0100

python-taskflow (4.6.4-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Feb 2022 10:58:53 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/taskflow/tags .*/(\d[brc\d\.]+)\.tar\.gz
